For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Companies

Lookup company

GET
https://api.schematichq.com/companies/lookup
GET
/companies/lookup
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.lookupCompany({
8 keys: {},
9 });
10}
11main();
1{
2 "data": {
3 "add_ons": [
4 {
5 "id": "string",
6 "included_credit_grants": [
7 {
8 "billing_credit_auto_topup_enabled": true,
9 "billing_credit_auto_topup_self_service": true,
10 "created_at": "2024-01-15T09:30:00Z",
11 "credit_amount": 1,
12 "credit_id": "string",
13 "id": "string",
14 "plan_id": "string",
15 "reset_type": "no_reset",
16 "updated_at": "2024-01-15T09:30:00Z",
17 "credit_description": "string",
18 "credit_name": "string",
19 "billing_credit_auto_topup_amount": 1,
20 "billing_credit_auto_topup_amount_type": "string",
21 "billing_credit_auto_topup_expiry_type": "duration",
22 "billing_credit_auto_topup_expiry_unit": "billing_periods",
23 "billing_credit_auto_topup_expiry_unit_count": 1,
24 "billing_credit_auto_topup_threshold_credits": 1,
25 "billing_credit_auto_topup_threshold_percent": 1,
26 "company_auto_topup_amount": 1,
27 "company_auto_topup_enabled": true,
28 "company_auto_topup_threshold_credits": 1,
29 "credit": {
30 "account_id": "string",
31 "burn_strategy": "expiration_priority",
32 "cost_editable": true,
33 "created_at": "2024-01-15T09:30:00Z",
34 "currency_prices": [
35 {
36 "currency": "string",
37 "price": {
38 "billing_scheme": "per_unit",
39 "created_at": "2024-01-15T09:30:00Z",
40 "currency": "string",
41 "id": "string",
42 "interval": "day",
43 "interval_count": 1,
44 "is_active": true,
45 "package_size": 1,
46 "price": 1,
47 "price_external_id": "string",
48 "price_id": "string",
49 "price_tier": [
50 {
51 "flat_amount": 1,
52 "per_unit_price": 1,
53 "per_unit_price_decimal": "string",
54 "up_to": 1
55 }
56 ],
57 "product_external_id": "string",
58 "product_id": "string",
59 "product_name": "string",
60 "provider_type": "orb",
61 "updated_at": "2024-01-15T09:30:00Z",
62 "usage_type": "licensed",
63 "meter_event_name": "string",
64 "meter_event_payload_key": "string",
65 "meter_id": "string",
66 "nickname": "string",
67 "price_decimal": "string",
68 "tiers_mode": "graduated"
69 }
70 }
71 ],
72 "default_expiry_unit": "billing_periods",
73 "default_rollover_policy": "expire",
74 "description": "string",
75 "environment_id": "string",
76 "id": "string",
77 "name": "string",
78 "updated_at": "2024-01-15T09:30:00Z",
79 "default_expiry_unit_count": 1,
80 "icon": "string",
81 "plural_name": "string",
82 "price": {
83 "billing_scheme": "per_unit",
84 "created_at": "2024-01-15T09:30:00Z",
85 "currency": "string",
86 "id": "string",
87 "interval": "day",
88 "interval_count": 1,
89 "is_active": true,
90 "package_size": 1,
91 "price": 1,
92 "price_external_id": "string",
93 "price_id": "string",
94 "price_tier": [
95 {
96 "flat_amount": 1,
97 "per_unit_price": 1,
98 "per_unit_price_decimal": "string",
99 "up_to": 1
100 }
101 ],
102 "product_external_id": "string",
103 "product_id": "string",
104 "product_name": "string",
105 "provider_type": "orb",
106 "updated_at": "2024-01-15T09:30:00Z",
107 "usage_type": "licensed",
108 "meter_event_name": "string",
109 "meter_event_payload_key": "string",
110 "meter_id": "string",
111 "nickname": "string",
112 "price_decimal": "string",
113 "tiers_mode": "graduated"
114 },
115 "price_per_unit": 1,
116 "price_per_unit_decimal": "string",
117 "product": {
118 "account_id": "string",
119 "created_at": "2024-01-15T09:30:00Z",
120 "environment_id": "string",
121 "external_id": "string",
122 "is_active": true,
123 "name": "string",
124 "price": 1.1,
125 "product_id": "string",
126 "provider_type": "orb",
127 "quantity": 1.1,
128 "updated_at": "2024-01-15T09:30:00Z",
129 "price_decimal": "string",
130 "currency": "string"
131 },
132 "singular_name": "string"
133 },
134 "expiry_type": "duration",
135 "expiry_unit": "billing_periods",
136 "expiry_unit_count": 1,
137 "plan": {
138 "id": "string",
139 "name": "string",
140 "description": "string",
141 "image_url": "string"
142 },
143 "plan_version_id": "string",
144 "reset_cadence": "daily",
145 "reset_start": "billing_period",
146 "credit_icon": "string",
147 "plural_name": "string",
148 "singular_name": "string"
149 }
150 ],
151 "name": "string",
152 "added_on": "2024-01-15T09:30:00Z",
153 "billing_product_external_id": "string",
154 "billing_product_id": "string",
155 "description": "string",
156 "image_url": "string",
157 "plan_period": "string",
158 "plan_price": 1,
159 "plan_version_id": "string"
160 }
161 ],
162 "billing_subscriptions": [
163 {
164 "cancel_at_period_end": true,
165 "created_at": "2024-01-15T09:30:00Z",
166 "currency": "string",
167 "customer_external_id": "string",
168 "discounts": [
169 {
170 "coupon_id": "string",
171 "coupon_name": "string",
172 "discount_external_id": "string",
173 "duration": "string",
174 "is_active": true,
175 "started_at": "2024-01-15T09:30:00Z",
176 "subscription_external_id": "string",
177 "amount_off": 1,
178 "currency": "string",
179 "customer_facing_code": "string",
180 "duration_in_months": 1,
181 "ended_at": "2024-01-15T09:30:00Z",
182 "percent_off": 1.1,
183 "promo_code_external_id": "string"
184 }
185 ],
186 "id": "string",
187 "interval": "string",
188 "period_end": 1,
189 "period_start": 1,
190 "products": [
191 {
192 "billing_scheme": "per_unit",
193 "created_at": "2024-01-15T09:30:00Z",
194 "currency": "string",
195 "environment_id": "string",
196 "external_id": "string",
197 "id": "string",
198 "interval": "string",
199 "name": "string",
200 "package_size": 1,
201 "price": 1,
202 "price_external_id": "string",
203 "price_id": "string",
204 "price_tier": [
205 {
206 "flat_amount": 1,
207 "per_unit_price": 1,
208 "per_unit_price_decimal": "string",
209 "up_to": 1
210 }
211 ],
212 "provider_type": "orb",
213 "quantity": 1.1,
214 "subscription_id": "string",
215 "updated_at": "2024-01-15T09:30:00Z",
216 "usage_type": "licensed",
217 "billing_threshold": 1,
218 "interval_count": 1,
219 "meter_id": "string",
220 "price_decimal": "string",
221 "subscription_item_external_id": "string"
222 }
223 ],
224 "provider_type": "orb",
225 "status": "string",
226 "subscription_external_id": "string",
227 "total_price": 1,
228 "application_id": "string",
229 "cancel_at": 1,
230 "company_id": "string",
231 "default_payment_method_id": "string",
232 "expired_at": "2024-01-15T09:30:00Z",
233 "latest_invoice": {
234 "amount_due": 1,
235 "amount_paid": 1,
236 "amount_remaining": 1,
237 "collection_method": "string",
238 "created_at": "2024-01-15T09:30:00Z",
239 "currency": "string",
240 "customer_external_id": "string",
241 "environment_id": "string",
242 "id": "string",
243 "provider_type": "orb",
244 "subtotal": 1,
245 "updated_at": "2024-01-15T09:30:00Z",
246 "company_id": "string",
247 "due_date": "2024-01-15T09:30:00Z",
248 "external_id": "string",
249 "payment_method_external_id": "string",
250 "status": "draft",
251 "subscription_external_id": "string",
252 "url": "string"
253 },
254 "metadata": {},
255 "payment_method": {
256 "created_at": "2024-01-15T09:30:00Z",
257 "customer_external_id": "string",
258 "environment_id": "string",
259 "external_id": "string",
260 "id": "string",
261 "payment_method_type": "string",
262 "provider_type": "orb",
263 "updated_at": "2024-01-15T09:30:00Z",
264 "account_last4": "string",
265 "account_name": "string",
266 "bank_name": "string",
267 "billing_email": "string",
268 "billing_name": "string",
269 "card_brand": "string",
270 "card_exp_month": 1,
271 "card_exp_year": 1,
272 "card_last4": "string",
273 "company_id": "string"
274 },
275 "trial_end": 1,
276 "trial_end_setting": "cancel"
277 }
278 ],
279 "created_at": "2024-01-15T09:30:00Z",
280 "custom_plan_billings": [
281 {
282 "activation_strategy": "on_payment",
283 "company_id": "string",
284 "created_at": "2024-01-15T09:30:00Z",
285 "days_until_due": 1,
286 "id": "string",
287 "plan_id": "string",
288 "status": "active",
289 "updated_at": "2024-01-15T09:30:00Z",
290 "external_invoice_id": "string",
291 "paid_at": "2024-01-15T09:30:00Z",
292 "published_at": "2024-01-15T09:30:00Z",
293 "stripe_invoice_url": "string"
294 }
295 ],
296 "entitlements": [
297 {
298 "feature_id": "string",
299 "feature_key": "string",
300 "value_type": "boolean",
301 "allocation": 1,
302 "credit_id": "string",
303 "credit_remaining": 1.1,
304 "credit_total": 1.1,
305 "credit_used": 1.1,
306 "event_name": "string",
307 "metric_period": "all_time",
308 "metric_reset_at": "2024-01-15T09:30:00Z",
309 "month_reset": "billing_cycle",
310 "soft_limit": 1,
311 "usage": 1
312 }
313 ],
314 "entity_traits": [
315 {
316 "created_at": "2024-01-15T09:30:00Z",
317 "definition_id": "string",
318 "environment_id": "string",
319 "id": "string",
320 "updated_at": "2024-01-15T09:30:00Z",
321 "value": "string",
322 "definition": {
323 "created_at": "2024-01-15T09:30:00Z",
324 "display_name": "string",
325 "entity_type": "company",
326 "hierarchy": [
327 "string"
328 ],
329 "id": "string",
330 "trait_type": "boolean",
331 "updated_at": "2024-01-15T09:30:00Z"
332 }
333 }
334 ],
335 "environment_id": "string",
336 "id": "string",
337 "keys": [
338 {
339 "created_at": "2024-01-15T09:30:00Z",
340 "definition_id": "string",
341 "entity_id": "string",
342 "entity_type": "company",
343 "environment_id": "string",
344 "id": "string",
345 "key": "string",
346 "updated_at": "2024-01-15T09:30:00Z",
347 "value": "string",
348 "definition": {
349 "created_at": "2024-01-15T09:30:00Z",
350 "entity_type": "company",
351 "id": "string",
352 "key": "string",
353 "updated_at": "2024-01-15T09:30:00Z"
354 }
355 }
356 ],
357 "metrics": [
358 {
359 "account_id": "string",
360 "captured_at_max": "2024-01-15T09:30:00Z",
361 "captured_at_min": "2024-01-15T09:30:00Z",
362 "company_id": "string",
363 "created_at": "2024-01-15T09:30:00Z",
364 "environment_id": "string",
365 "event_subtype": "string",
366 "month_reset": "billing_cycle",
367 "period": "all_time",
368 "value": 1,
369 "valid_until": "2024-01-15T09:30:00Z"
370 }
371 ],
372 "name": "string",
373 "payment_methods": [
374 {
375 "created_at": "2024-01-15T09:30:00Z",
376 "customer_external_id": "string",
377 "environment_id": "string",
378 "external_id": "string",
379 "id": "string",
380 "payment_method_type": "string",
381 "provider_type": "orb",
382 "updated_at": "2024-01-15T09:30:00Z",
383 "account_last4": "string",
384 "account_name": "string",
385 "bank_name": "string",
386 "billing_email": "string",
387 "billing_name": "string",
388 "card_brand": "string",
389 "card_exp_month": 1,
390 "card_exp_year": 1,
391 "card_last4": "string",
392 "company_id": "string"
393 }
394 ],
395 "plans": [
396 {
397 "id": "string",
398 "name": "string",
399 "description": "string",
400 "image_url": "string"
401 }
402 ],
403 "rules": [
404 {
405 "account_id": "string",
406 "condition_groups": [
407 {
408 "conditions": [
409 {
410 "account_id": "string",
411 "condition_type": "base_plan",
412 "environment_id": "string",
413 "id": "string",
414 "operator": "eq",
415 "resource_ids": [
416 "string"
417 ],
418 "trait_value": "string",
419 "comparison_trait_definition": {
420 "comparable_type": "bool",
421 "entity_type": "company",
422 "id": "string"
423 },
424 "consumption_rate": 1.1,
425 "credit_id": "string",
426 "event_subtype": "string",
427 "metric_period": "all_time",
428 "metric_period_month_reset": "billing_cycle",
429 "metric_value": 1,
430 "trait_definition": {
431 "comparable_type": "bool",
432 "entity_type": "company",
433 "id": "string"
434 }
435 }
436 ]
437 }
438 ],
439 "conditions": [
440 {
441 "account_id": "string",
442 "condition_type": "base_plan",
443 "environment_id": "string",
444 "id": "string",
445 "operator": "eq",
446 "resource_ids": [
447 "string"
448 ],
449 "trait_value": "string",
450 "comparison_trait_definition": {
451 "comparable_type": "bool",
452 "entity_type": "company",
453 "id": "string"
454 },
455 "consumption_rate": 1.1,
456 "credit_id": "string",
457 "event_subtype": "string",
458 "metric_period": "all_time",
459 "metric_period_month_reset": "billing_cycle",
460 "metric_value": 1,
461 "trait_definition": {
462 "comparable_type": "bool",
463 "entity_type": "company",
464 "id": "string"
465 }
466 }
467 ],
468 "environment_id": "string",
469 "id": "string",
470 "name": "string",
471 "priority": 1,
472 "rule_type": "company_override",
473 "value": true,
474 "flag_id": "string"
475 }
476 ],
477 "updated_at": "2024-01-15T09:30:00Z",
478 "user_count": 1,
479 "billing_credit_balances": {},
480 "billing_subscription": {
481 "cancel_at_period_end": true,
482 "created_at": "2024-01-15T09:30:00Z",
483 "currency": "string",
484 "customer_external_id": "string",
485 "discounts": [
486 {
487 "coupon_id": "string",
488 "coupon_name": "string",
489 "discount_external_id": "string",
490 "duration": "string",
491 "is_active": true,
492 "started_at": "2024-01-15T09:30:00Z",
493 "subscription_external_id": "string",
494 "amount_off": 1,
495 "currency": "string",
496 "customer_facing_code": "string",
497 "duration_in_months": 1,
498 "ended_at": "2024-01-15T09:30:00Z",
499 "percent_off": 1.1,
500 "promo_code_external_id": "string"
501 }
502 ],
503 "id": "string",
504 "interval": "string",
505 "period_end": 1,
506 "period_start": 1,
507 "products": [
508 {
509 "billing_scheme": "per_unit",
510 "created_at": "2024-01-15T09:30:00Z",
511 "currency": "string",
512 "environment_id": "string",
513 "external_id": "string",
514 "id": "string",
515 "interval": "string",
516 "name": "string",
517 "package_size": 1,
518 "price": 1,
519 "price_external_id": "string",
520 "price_id": "string",
521 "price_tier": [
522 {
523 "flat_amount": 1,
524 "per_unit_price": 1,
525 "per_unit_price_decimal": "string",
526 "up_to": 1
527 }
528 ],
529 "provider_type": "orb",
530 "quantity": 1.1,
531 "subscription_id": "string",
532 "updated_at": "2024-01-15T09:30:00Z",
533 "usage_type": "licensed",
534 "billing_threshold": 1,
535 "interval_count": 1,
536 "meter_id": "string",
537 "price_decimal": "string",
538 "subscription_item_external_id": "string"
539 }
540 ],
541 "provider_type": "orb",
542 "status": "string",
543 "subscription_external_id": "string",
544 "total_price": 1,
545 "application_id": "string",
546 "cancel_at": 1,
547 "company_id": "string",
548 "default_payment_method_id": "string",
549 "expired_at": "2024-01-15T09:30:00Z",
550 "latest_invoice": {
551 "amount_due": 1,
552 "amount_paid": 1,
553 "amount_remaining": 1,
554 "collection_method": "string",
555 "created_at": "2024-01-15T09:30:00Z",
556 "currency": "string",
557 "customer_external_id": "string",
558 "environment_id": "string",
559 "id": "string",
560 "provider_type": "orb",
561 "subtotal": 1,
562 "updated_at": "2024-01-15T09:30:00Z",
563 "company_id": "string",
564 "due_date": "2024-01-15T09:30:00Z",
565 "external_id": "string",
566 "payment_method_external_id": "string",
567 "status": "draft",
568 "subscription_external_id": "string",
569 "url": "string"
570 },
571 "metadata": {},
572 "payment_method": {
573 "created_at": "2024-01-15T09:30:00Z",
574 "customer_external_id": "string",
575 "environment_id": "string",
576 "external_id": "string",
577 "id": "string",
578 "payment_method_type": "string",
579 "provider_type": "orb",
580 "updated_at": "2024-01-15T09:30:00Z",
581 "account_last4": "string",
582 "account_name": "string",
583 "bank_name": "string",
584 "billing_email": "string",
585 "billing_name": "string",
586 "card_brand": "string",
587 "card_exp_month": 1,
588 "card_exp_year": 1,
589 "card_last4": "string",
590 "company_id": "string"
591 },
592 "trial_end": 1,
593 "trial_end_setting": "cancel"
594 },
595 "default_payment_method": {
596 "created_at": "2024-01-15T09:30:00Z",
597 "customer_external_id": "string",
598 "environment_id": "string",
599 "external_id": "string",
600 "id": "string",
601 "payment_method_type": "string",
602 "provider_type": "orb",
603 "updated_at": "2024-01-15T09:30:00Z",
604 "account_last4": "string",
605 "account_name": "string",
606 "bank_name": "string",
607 "billing_email": "string",
608 "billing_name": "string",
609 "card_brand": "string",
610 "card_exp_month": 1,
611 "card_exp_year": 1,
612 "card_last4": "string",
613 "company_id": "string"
614 },
615 "last_seen_at": "2024-01-15T09:30:00Z",
616 "logo_url": "string",
617 "plan": {
618 "id": "string",
619 "included_credit_grants": [
620 {
621 "billing_credit_auto_topup_enabled": true,
622 "billing_credit_auto_topup_self_service": true,
623 "created_at": "2024-01-15T09:30:00Z",
624 "credit_amount": 1,
625 "credit_id": "string",
626 "id": "string",
627 "plan_id": "string",
628 "reset_type": "no_reset",
629 "updated_at": "2024-01-15T09:30:00Z",
630 "credit_description": "string",
631 "credit_name": "string",
632 "billing_credit_auto_topup_amount": 1,
633 "billing_credit_auto_topup_amount_type": "string",
634 "billing_credit_auto_topup_expiry_type": "duration",
635 "billing_credit_auto_topup_expiry_unit": "billing_periods",
636 "billing_credit_auto_topup_expiry_unit_count": 1,
637 "billing_credit_auto_topup_threshold_credits": 1,
638 "billing_credit_auto_topup_threshold_percent": 1,
639 "company_auto_topup_amount": 1,
640 "company_auto_topup_enabled": true,
641 "company_auto_topup_threshold_credits": 1,
642 "credit": {
643 "account_id": "string",
644 "burn_strategy": "expiration_priority",
645 "cost_editable": true,
646 "created_at": "2024-01-15T09:30:00Z",
647 "currency_prices": [
648 {
649 "currency": "string",
650 "price": {
651 "billing_scheme": "per_unit",
652 "created_at": "2024-01-15T09:30:00Z",
653 "currency": "string",
654 "id": "string",
655 "interval": "day",
656 "interval_count": 1,
657 "is_active": true,
658 "package_size": 1,
659 "price": 1,
660 "price_external_id": "string",
661 "price_id": "string",
662 "price_tier": [
663 {
664 "flat_amount": 1,
665 "per_unit_price": 1,
666 "per_unit_price_decimal": "string",
667 "up_to": 1
668 }
669 ],
670 "product_external_id": "string",
671 "product_id": "string",
672 "product_name": "string",
673 "provider_type": "orb",
674 "updated_at": "2024-01-15T09:30:00Z",
675 "usage_type": "licensed",
676 "meter_event_name": "string",
677 "meter_event_payload_key": "string",
678 "meter_id": "string",
679 "nickname": "string",
680 "price_decimal": "string",
681 "tiers_mode": "graduated"
682 }
683 }
684 ],
685 "default_expiry_unit": "billing_periods",
686 "default_rollover_policy": "expire",
687 "description": "string",
688 "environment_id": "string",
689 "id": "string",
690 "name": "string",
691 "updated_at": "2024-01-15T09:30:00Z",
692 "default_expiry_unit_count": 1,
693 "icon": "string",
694 "plural_name": "string",
695 "price": {
696 "billing_scheme": "per_unit",
697 "created_at": "2024-01-15T09:30:00Z",
698 "currency": "string",
699 "id": "string",
700 "interval": "day",
701 "interval_count": 1,
702 "is_active": true,
703 "package_size": 1,
704 "price": 1,
705 "price_external_id": "string",
706 "price_id": "string",
707 "price_tier": [
708 {
709 "flat_amount": 1,
710 "per_unit_price": 1,
711 "per_unit_price_decimal": "string",
712 "up_to": 1
713 }
714 ],
715 "product_external_id": "string",
716 "product_id": "string",
717 "product_name": "string",
718 "provider_type": "orb",
719 "updated_at": "2024-01-15T09:30:00Z",
720 "usage_type": "licensed",
721 "meter_event_name": "string",
722 "meter_event_payload_key": "string",
723 "meter_id": "string",
724 "nickname": "string",
725 "price_decimal": "string",
726 "tiers_mode": "graduated"
727 },
728 "price_per_unit": 1,
729 "price_per_unit_decimal": "string",
730 "product": {
731 "account_id": "string",
732 "created_at": "2024-01-15T09:30:00Z",
733 "environment_id": "string",
734 "external_id": "string",
735 "is_active": true,
736 "name": "string",
737 "price": 1.1,
738 "product_id": "string",
739 "provider_type": "orb",
740 "quantity": 1.1,
741 "updated_at": "2024-01-15T09:30:00Z",
742 "price_decimal": "string",
743 "currency": "string"
744 },
745 "singular_name": "string"
746 },
747 "expiry_type": "duration",
748 "expiry_unit": "billing_periods",
749 "expiry_unit_count": 1,
750 "plan": {
751 "id": "string",
752 "name": "string",
753 "description": "string",
754 "image_url": "string"
755 },
756 "plan_version_id": "string",
757 "reset_cadence": "daily",
758 "reset_start": "billing_period",
759 "credit_icon": "string",
760 "plural_name": "string",
761 "singular_name": "string"
762 }
763 ],
764 "name": "string",
765 "added_on": "2024-01-15T09:30:00Z",
766 "billing_product_external_id": "string",
767 "billing_product_id": "string",
768 "description": "string",
769 "image_url": "string",
770 "plan_period": "string",
771 "plan_price": 1,
772 "plan_version_id": "string"
773 },
774 "scheduled_downgrade": {
775 "currency": "string",
776 "effective_after": "2024-01-15T09:30:00Z",
777 "from_plan_id": "string",
778 "from_plan_name": "string",
779 "from_subscription_price": 1,
780 "id": "string",
781 "interval": "string",
782 "to_plan_id": "string",
783 "to_plan_name": "string",
784 "scheduled_interval": "string",
785 "scheduled_price": 1
786 },
787 "traits": {}
788 },
789 "params": {
790 "keys": {}
791 }
792}
Company lookup is determined to resolve a company from its keys, similar to how many of our other apis work. The following approaches will all work to resolve a company and any of them are appropriate: 1. `/companies/lookup?keys={"foo": "bar", "fizz": "buzz"}` 2. `/companies/lookup?keys[foo]=bar&keys[fizz]=buzz` 2. `/companies/lookup?foo=bar&fizz=buzz`
Was this page helpful?
Previous

Delete company

Next
Built with

Company lookup is determined to resolve a company from its keys, similar to how many of our other apis work. The following approaches will all work to resolve a company and any of them are appropriate:

  1. /companies/lookup?keys={"foo": "bar", "fizz": "buzz"}
  2. /companies/lookup?keys[foo]=bar&keys[fizz]=buzz
  3. /companies/lookup?foo=bar&fizz=buzz

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

keysmap from strings to stringsRequired

Key/value pairs

Response

OK
dataobject
paramsobject
Input parameters

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error